#include <iostream>
#include <cstdio>
#include <cmath>

using namespace std;

long long f(long long a, long long b){
    long long k = sqrt(a);
    for(long long i = 0; i <= k; i++){
        if(a == i*(b^i))
            return i;
    }
    return -1;
}

int main()
{
	int t;
    cin >> t;
    for(; t > 0; t--){
        long long a, b;
        scanf("%d%d", &a, &b);
        long long k = f(a, b);
        if(k == -1)
            printf("-1\n");
        else
            printf("%d %d", k, b ^ k);
    }
	return 0;
}